## ukeyboard 2.3-7

=== debian/changelog ===
ukeyboard (2.3-7) unstable; urgency=low

  * Added missing Latvian layout in package description.
  * Removed strict dependency to thai-ttf package, because PR1.2 already
    include Thai font support by default.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Wed, 26 May 2010 10:08:55 +0200

=== debian/control ===
Source: ukeyboard
Section: user/system
Priority: optional
Maintainer: Roman Moravcik <roman.moravcik@gmail.com>
Build-Depends: debhelper (>= 4.0.0), libosso-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, hildon-control-panel-dev
Standards-Version: 3.6.1
Homepage: http://www.upir.cz/maemo/keyboards/
Vcs-Browser: http://repo.or.cz/w/ukeyboard.git
Vcs-Git: git://repo.or.cz/ukeyboard.git
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Ukeyboard
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAlwSFlzAAALEwAACxMBAJqcGAAAAVxJREFUaN7tmLFthDAUhn+idLSI
 GaAyo8AEnoEN2IAZ3LmDLejQXQU1DQXs4DQH8vkgoOS4i8n7JCTQ/5BsjD+e
 AAiCIAjCYhz9oigKZcOggyBAGIYOAHzqQVmWVjz1OI7vV4BzrgAgSZKH4qZp
 0Lbtn8omhBDOx1n2gAKAruvmoO979H0PKSWklG/NzJppJU6xAtZP4M5CeZ7P
 567rwnVdDMPw9sysGcdxeQ/oMMYQRREulwuu1+tbM7NGt9CmRrWPHNZqXp2d
 ahOvatRU1/T1W1LfqzPSqBUaNdX1nWqPzH49AVNdes0rsl0T4JxvKmup1T4i
 k1JCCDGP6fR7gLpR0ih1o/+lG13S4O33xiGvBnWja9R1PasuTVOkafrUAVE3
 aqVGsyxbVZeJ7/uz6qqqevqA9nSqnuchjmMIIR7uV1sH51wxxtSe2p8cjDF1
 s+JqZstPaIIgCILY5As+VklhB2vSewAAAABJRU5ErkJggg==

Package: ukeyboard
Architecture: any
Depends: ${shlibs:Depends}, ttf-bpg-georgian-fonts, ttf-khmeros
Suggests: thai-ttf
Description: Additional on-screen keyboard layouts
 This package provides additional Arabic, Belarusian, Bulgarian (BDS & Phonetic),
 Croatian (QWERTY & QWERTZ), Czech (QWERTY), English (Dvorak), Esperanto (QWERTY),
 German (QWERTY & Neo2) Georgian, Hebrew (Basic & Phonetic), Hungarian (QWERTY
 & QWERTZ), Icelandic, Khmer, Latvian, Macedonian, Persian, Punjabi, Russian
 (Phonetic), Slovak (QWERTY & QWERTZ), Slovenian (QWERTY & QWERTZ), Thai, Turkish
 and Vietnamese on-screen keyboard layouts and Arabic, Bulgarian (Phonetic),
 Czech (QWERTY), Dvorak, Greek, Georgian, Hebrew (Phonetic), Latvian, Macedonian,
 Persian, Russian (Phonetic) and Slovak (QWERTY & QWERTZ) hardware keyboard
 layouts.

Package: ukbdcreator
Architecture: any
Section: user/utilities
Depends: ${shlibs:Depends}, ukeyboard (>= 2.3)
Description: Ukeyboard Creator
 Simple IDE for creating and testing on-screen keyboard layouts.
 .
 On-screen keyboard layout template, documentation and description
 of on-screen keyboard layout definition file are installed under
 /usr/share/ukbdcreator/ directory.

## ukeyboard 2.4-1

=== keyboards-scv/Makefile ===
layouts = \
	  aren.vkb \
	  bg_phonetic.vkb \
	  cz_qwerty.vkb \
	  dv.vkb \
	  faen.vkb \
	  ge.vkb \
	  gr.vkb \
	  he.vkb he_phonetic.vkb \
	  mk.vkb \
	  lv.vkb \
	  ru_phonetic.vkb \
	  sk.vkb sk_qwerty.vkb

all: $(layouts)

%.vkb:	%.def
	if [ -h $< ] ; then f=`readlink $< | sed 's/\.def/\.vkb/'` ; ln -s $$f $@ ; \
	else ../vkb_compiler $< $@ ; \
	fi

install:
	install -d $(DESTDIR)/usr/share/scv_layouts
	install -m 0644 $(layouts) $(DESTDIR)/usr/share/scv_layouts/

clean:
	rm -f *.vkb

=== keyboards/Makefile ===
layouts = \
	ar-ibmpc.vkb \
	be-by.vkb \
	bg-bds.vkb \
	bg-phonetic.vkb \
	cz-qwerty.vkb cz-qwertz.vkb\
	de-neo2.vkb de-qwerty.vkb de-qwertz.vkb\
	en-dvorak.vkb \
	eo-qwerty.vkb \
	fa-isiri9147.vkb \
	he-phonetic.vkb he-qwerty.vkb \
	hr-qwerty.vkb hr-qwertz.vkb \
	hu-qwerty.vkb hu-qwertz.vkb \
	is-qwerty.vkb \
	ka-qwerty.vkb \
	km.vkb \
	lv-qwerty.vkb \
	mk.vkb \
	pa-jhelum.vkb \
	ru-phonetic.vkb ru-windows.vkb \
	sk-qwerty.vkb sk-qwertz.vkb \
	sl-qwerty.vkb sl-qwertz.vkb \
	sr.vkb sr-latin-qwertz.vkb \
	th-kedmanee.vkb \
	tr-qwerty.vkb \
	vi-qwerty.vkb

all: $(layouts)

%.vkb:	%.def
	../vkb_compiler $< $@

install:
	install -d $(DESTDIR)/usr/share/ukeyboard
	install -m 0644 $(layouts) $(DESTDIR)/usr/share/ukeyboard/

clean:
	rm -f *.vkb

=== debian/changelog ===
ukeyboard (2.4-1) unstable; urgency=low

  * Added dependency to ttf-punjabi-font required by Punjabi on-screen keyboard
    layout.
  * Added Serbian (Cyrillic and Latin) on-screen keyboard layout by Dejan Ostojic.
  * Added missing '?' and '!' symbols to Slovak, Vietnamese, Turkish, Hebrew,
    Macedonian on-screen keyboard layouts (Bug 10343: Question and exclamation
    marks are nowhere to be found in the Hebrew keyboard layout in Ukeyboard 2.3-7).
  * Added Hebrew HW keyboard layout based Hebrew keymap from "Hebrew N900"
    wiki page (http://wiki.maemo.org/Hebrew_N900).
  * English numbers added back to Arabic on-screen keyboard layout.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Tue,  1 Jun 2010 15:59:09 +0200

## ukeyboard 2.4-2

=== Makefile ===
all:	vkb_compiler ukeyboard-prefs keyboards keyboards-scv ukbdcreator

ukeyboard-prefs:
	$(MAKE) -C cpanel

vkb_compiler:	vkb_compiler.o vkb_compiler_lib.o
	$(CC) -o $@ $+

vkb_compiler.o:	vkb_compiler.c vkb_compiler.h
	$(CC) -W -Wall -c -o $@ $<

vkb_compiler_lib.o:	vkb_compiler_lib.c vkb_compiler.h
	$(CC) -W -Wall -c -o $@ $<

keyboards:	vkb_compiler
	$(MAKE) -C keyboards

keyboards-scv:	vkb_compiler
	$(MAKE) -C keyboards-scv

ukbdcreator:	vkb_compiler_lib.o
	$(MAKE) -C ukbdcreator

install:	ukeyboard-prefs keyboards-scv
	$(MAKE) -C cpanel DESTDIR=$(DESTDIR) install
	$(MAKE) -C keyboards DESTDIR=$(DESTDIR) install
	$(MAKE) -C keyboards-scv DESTDIR=$(DESTDIR) install
	install -d $(DESTDIR)/usr/share/ukbdcreator
	install -m 0644 doc/howto.txt doc/vkb-format-v3 doc/template.def $(DESTDIR)/usr/share/ukbdcreator/
	install -d $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
	install -m 0644 ukeyboard.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/
	install -d $(DESTDIR)/usr/share/X11/xkb/symbols/nokia_vndr
	install -m 0644 xkb/symbols/ukeyboard $(DESTDIR)/usr/share/X11/xkb/symbols/nokia_vndr/
	install -d $(DESTDIR)/usr/share/X11/xkb/types
	install -m 0644 xkb/types/ukeyboard $(DESTDIR)/usr/share/X11/xkb/types/
	$(MAKE) -C ukbdcreator DESTDIR=$(DESTDIR) install

clean:
	$(MAKE) -C cpanel clean
	$(MAKE) -C keyboards clean
	$(MAKE) -C keyboards-scv clean
	$(MAKE) -C ukbdcreator clean
	rm -f vkb_compiler *.o core
	rm -rf build

distclean:
	$(MAKE) clean
	rm -f *-stamp
	rm -rf debian/ukeyboard debian/ukbdcreator debian/files

=== keyboards/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	ru-phonetic.vkb ru-windows.vkb \
 	sk-qwerty.vkb sk-qwertz.vkb \
 	sl-qwerty.vkb sl-qwertz.vkb \
-	sr.vkb sr-latin-qwertz.vkb \
+	sr-cyrillic.vkb sr-latin-qwertz.vkb \
 	th-kedmanee.vkb \
 	tr-qwerty.vkb \
 	vi-qwerty.vkb

=== debian/changelog ===
ukeyboard (2.4-2) unstable; urgency=low

  * Ukbdcreator window title was not updated after layout was successfully saved.
  * Fixed language code of Serbian on-sreen keyboards layouts.
  * Fixed typo in Hebrew HW keyboard layout (hebrew_finalzase->hebrew_finalzade,
    hebrew_finalnum->hebrew_finalnun) (Bug 9931: hebrew keyboard keys are missing
    and duplicated).
  * Added Serbian Cyrillic HW keyboard layout by Aleksandar Urosevic.
  * Characters 'ü' and 'ö' added back to the Turkish on-screen keyboard
    layout (Bug 10455: Missing letters on Turkish layout).
  * Added 4th row to Vietnamese on-screen keyboard as it was in older
    versions of ukeyboard.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Tue,  1 Jun 2010 15:59:09 +0200

=== debian/control ===
--- 
+++ 
@@ -22,18 +22,18 @@
 
 Package: ukeyboard
 Architecture: any
-Depends: ${shlibs:Depends}, ttf-bpg-georgian-fonts, ttf-khmeros
+Depends: ${shlibs:Depends}, ttf-bpg-georgian-fonts, ttf-khmeros, ttf-punjabi-fonts
 Suggests: thai-ttf
 Description: Additional on-screen keyboard layouts
- This package provides additional Arabic, Belarusian, Bulgarian (BDS & Phonetic),
+ This package provides additional Arabic, Belorussian, Bulgarian (BDS & Phonetic),
  Croatian (QWERTY & QWERTZ), Czech (QWERTY), English (Dvorak), Esperanto (QWERTY),
  German (QWERTY & Neo2) Georgian, Hebrew (Basic & Phonetic), Hungarian (QWERTY
  & QWERTZ), Icelandic, Khmer, Latvian, Macedonian, Persian, Punjabi, Russian
- (Phonetic), Slovak (QWERTY & QWERTZ), Slovenian (QWERTY & QWERTZ), Thai, Turkish
- and Vietnamese on-screen keyboard layouts and Arabic, Bulgarian (Phonetic),
- Czech (QWERTY), Dvorak, Greek, Georgian, Hebrew (Phonetic), Latvian, Macedonian,
- Persian, Russian (Phonetic) and Slovak (QWERTY & QWERTZ) hardware keyboard
- layouts.
+ (Phonetic), Serbian (Cyrillic & Latin), Slovak (QWERTY & QWERTZ), Slovenian
+ (QWERTY & QWERTZ), Thai, Turkish and Vietnamese on-screen keyboard layouts and
+ Arabic, Bulgarian (Phonetic), Czech (QWERTY), Dvorak, Greek, Georgian, Hebrew
+ (Basic & Phonetic), Latvian, Macedonian, Persian, Russian (Phonetic) and Slovak
+ (QWERTY & QWERTZ) hardware keyboard layouts.
 
 Package: ukbdcreator
 Architecture: any

## ukeyboard 2.4-3

=== keyboards-scv/Makefile ===
--- 
+++ 
@@ -10,7 +10,8 @@
 	  mk.vkb \
 	  lv.vkb \
 	  ru_phonetic.vkb \
-	  sk.vkb sk_qwerty.vkb
+	  sk.vkb sk_qwerty.vkb \
+	  sr_cyrillic.vkb
 
 all: $(layouts)

=== keyboards/Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 	be-by.vkb \
 	bg-bds.vkb \
 	bg-phonetic.vkb \
+	ca.vkb \
 	cz-qwerty.vkb cz-qwertz.vkb\
 	de-neo2.vkb de-qwerty.vkb de-qwertz.vkb\
 	en-dvorak.vkb \

=== po/Makefile ===
linguas = ca sk

all: po

update-po: ukeyboard.pot
	@for lang in $(linguas); do \
		msgmerge $$lang.po ukeyboard.pot -o $$lang.po.new; \
		mv $$lang.po.new $$lang.po; \
	done

po:
	@for lang in $(linguas); do \
		msgfmt -o $$lang.gmo $$lang.po; \
	done

install: po
	@for lang in $(linguas); do \
		install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES; \
		install -m 644 $$lang.gmo $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/ukeyboard.mo; \
	done

ukeyboard.pot:
	INTLTOOL_EXTRACT=intltool-extract srcdir=. intltool-update --gettext-package ukeyboard --pot

clean:
	rm -f *.gmo ukeyboard.pot

=== debian/changelog ===
ukeyboard (2.4-3) unstable; urgency=low

  * Added Catalan on-sceen keyboard layout by Toni Hermoso Pulido.
  * Optimization of Serbian Cyrillic on-screen keyboard layout.
  * Added gettext support to ukeyboard.
  * Added unfinished Slovak translation.
  * Added Catalan translation.
  * Added a new option to control panel applet to allow hardware keys
    repetition.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Tue, 15 Jun 2010 17:09:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/system
 Priority: optional
 Maintainer: Roman Moravcik <roman.moravcik@gmail.com>
-Build-Depends: debhelper (>= 4.0.0), libosso-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, hildon-control-panel-dev
+Build-Depends: debhelper (>= 4.0.0), gettext, libosso-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, hildon-control-panel-dev
 Standards-Version: 3.6.1
 Homepage: http://www.upir.cz/maemo/keyboards/
 Vcs-Browser: http://repo.or.cz/w/ukeyboard.git
@@ -22,13 +22,13 @@
 
 Package: ukeyboard
 Architecture: any
-Depends: ${shlibs:Depends}, ttf-bpg-georgian-fonts, ttf-khmeros, ttf-punjabi-fonts
+Depends: ${shlibs:Depends}, ttf-bpg-georgian-fonts, ttf-khmeros, ttf-punjabi-fonts, hildon-libs-l10n-mr0 | hildon-libs-l10n-mr, osso-applet-textinput-l10n-mr0 | osso-applet-textinput-l10n-mr
 Suggests: thai-ttf
 Description: Additional on-screen keyboard layouts
  This package provides additional Arabic, Belorussian, Bulgarian (BDS & Phonetic),
- Croatian (QWERTY & QWERTZ), Czech (QWERTY), English (Dvorak), Esperanto (QWERTY),
- German (QWERTY & Neo2) Georgian, Hebrew (Basic & Phonetic), Hungarian (QWERTY
- & QWERTZ), Icelandic, Khmer, Latvian, Macedonian, Persian, Punjabi, Russian
+ Catalan, Croatian (QWERTY & QWERTZ), Czech (QWERTY), English (Dvorak), Esperanto
+ (QWERTY), German (QWERTY & Neo2) Georgian, Hebrew (Basic & Phonetic), Hungarian
+ (QWERTY & QWERTZ), Icelandic, Khmer, Latvian, Macedonian, Persian, Punjabi, Russian
  (Phonetic), Serbian (Cyrillic & Latin), Slovak (QWERTY & QWERTZ), Slovenian
  (QWERTY & QWERTZ), Thai, Turkish and Vietnamese on-screen keyboard layouts and
  Arabic, Bulgarian (Phonetic), Czech (QWERTY), Dvorak, Greek, Georgian, Hebrew

## ukeyboard 2.4-4

=== keyboards/Makefile ===
--- 
+++ 
@@ -12,8 +12,9 @@
 	he-phonetic.vkb he-qwerty.vkb \
 	hr-qwerty.vkb hr-qwertz.vkb \
 	hu-qwerty.vkb hu-qwertz.vkb \
+	hy-phonetic.vkb hy-typewriter.vkb \
 	is-qwerty.vkb \
-	ka-qwerty.vkb \
+	ka-qwerty.vkb ka.vkb \
 	km.vkb \
 	lv-qwerty.vkb \
 	mk.vkb \
@@ -24,6 +25,7 @@
 	sr-cyrillic.vkb sr-latin-qwertz.vkb \
 	th-kedmanee.vkb \
 	tr-qwerty.vkb \
+	uk-phonetic.vkb uk-windows.vkb \
 	vi-qwerty.vkb
 
 all: $(layouts)

=== debian/changelog ===
ukeyboard (2.4-4) unstable; urgency=low

  * Added Armenian keyboard layouts by Norayr Chilingarian.
  * Added Georgian QWERTY on-screen keyboard layout requested by LexoNokiaN.
  * Added Ukrainian on-screen keyboard and HW keyboard layouts by Tatrick.
  * Added missing ":" symbol to Hebrew phonetic HW keyboard layout
    (Thanks to Zeev Pekar).
  * Added Finnish translation by Marko Vertainen.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Fri, 22 Oct 2010 10:38:46 +0200

=== debian/control ===
--- 
+++ 
@@ -22,18 +22,19 @@
 
 Package: ukeyboard
 Architecture: any
-Depends: ${shlibs:Depends}, ttf-bpg-georgian-fonts, ttf-khmeros, ttf-punjabi-fonts, hildon-libs-l10n-mr0 | hildon-libs-l10n-mr, osso-applet-textinput-l10n-mr0 | osso-applet-textinput-l10n-mr
+Depends: ${shlibs:Depends}, ttf-bpg-georgian-fonts, ttf-khmeros, ttf-punjabi-fonts, ttf-armenian, hildon-libs-l10n-mr0 | hildon-libs-l10n-mr, osso-applet-textinput-l10n-mr0 | osso-applet-textinput-l10n-mr
 Suggests: thai-ttf
 Description: Additional on-screen keyboard layouts
- This package provides additional Arabic, Belorussian, Bulgarian (BDS & Phonetic),
- Catalan, Croatian (QWERTY & QWERTZ), Czech (QWERTY), English (Dvorak), Esperanto
- (QWERTY), German (QWERTY & Neo2) Georgian, Hebrew (Basic & Phonetic), Hungarian
- (QWERTY & QWERTZ), Icelandic, Khmer, Latvian, Macedonian, Persian, Punjabi, Russian
- (Phonetic), Serbian (Cyrillic & Latin), Slovak (QWERTY & QWERTZ), Slovenian
- (QWERTY & QWERTZ), Thai, Turkish and Vietnamese on-screen keyboard layouts and
- Arabic, Bulgarian (Phonetic), Czech (QWERTY), Dvorak, Greek, Georgian, Hebrew
- (Basic & Phonetic), Latvian, Macedonian, Persian, Russian (Phonetic) and Slovak
- (QWERTY & QWERTZ) hardware keyboard layouts.
+ This package provides additional Arabic, Armenian (Phonetic & Typewriter), Belorussian,
+ Bulgarian (BDS & Phonetic), Catalan, Croatian (QWERTY & QWERTZ), Czech (QWERTY),
+ English (Dvorak), Esperanto (QWERTY), German (QWERTY & Neo2), Georgian (QWERTY),
+ Hebrew (Basic & Phonetic), Hungarian (QWERTY & QWERTZ), Icelandic, Khmer, Latvian,
+ Macedonian, Persian, Punjabi, Russian (Phonetic), Serbian (Cyrillic & Latin),
+ Slovak (QWERTY & QWERTZ), Slovenian (QWERTY & QWERTZ), Thai, Turkish and Vietnamese,
+ Ukrainian (Basic & Phonetic) on-screen keyboard layouts and Arabic, Bulgarian (Phonetic),
+ Czech (QWERTY), Dvorak, Greek, Georgian, Hebrew (Basic & Phonetic), Latvian, Macedonian,
+ Persian, Russian (Phonetic) and Slovak (QWERTY & QWERTZ), Ukrainian (Basic & Phonetic)
+ hardware keyboard layouts.
 
 Package: ukbdcreator
 Architecture: any

## ukeyboard 2.4-5

=== keyboards-scv/Makefile ===
--- 
+++ 
@@ -11,7 +11,8 @@
 	  lv.vkb \
 	  ru_phonetic.vkb \
 	  sk.vkb sk_qwerty.vkb \
-	  sr_cyrillic.vkb
+	  sr_cyrillic.vkb \
+	  ua.vkb
 
 all: $(layouts)

=== keyboards/Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 	ca.vkb \
 	cz-qwerty.vkb cz-qwertz.vkb\
 	de-neo2.vkb de-qwerty.vkb de-qwertz.vkb\
+	dz.vkb \
 	en-dvorak.vkb \
 	eo-qwerty.vkb \
 	fa-isiri9147.vkb \

=== po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-linguas = ca sk
+linguas = ca fi sk
 
 all: po

=== debian/changelog ===
ukeyboard (2.4-5) unstable; urgency=low

  * Added Dzongkha on-screen keyboard layout by Boaz Shmueli.
  * Fixed Slovak translation of ukeyboard post installation dialog.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Fri, 29 Oct 2010 11:16:29 +0200

=== debian/control ===
--- 
+++ 
@@ -22,11 +22,11 @@
 
 Package: ukeyboard
 Architecture: any
-Depends: ${shlibs:Depends}, ttf-bpg-georgian-fonts, ttf-khmeros, ttf-punjabi-fonts, ttf-armenian, hildon-libs-l10n-mr0 | hildon-libs-l10n-mr, osso-applet-textinput-l10n-mr0 | osso-applet-textinput-l10n-mr
+Depends: ${shlibs:Depends}, ttf-bpg-georgian-fonts, ttf-khmeros, ttf-punjabi-fonts, ttf-armenian, ttf-dzongkha, hildon-libs-l10n-mr0 | hildon-libs-l10n-mr, osso-applet-textinput-l10n-mr0 | osso-applet-textinput-l10n-mr
 Suggests: thai-ttf
 Description: Additional on-screen keyboard layouts
  This package provides additional Arabic, Armenian (Phonetic & Typewriter), Belorussian,
- Bulgarian (BDS & Phonetic), Catalan, Croatian (QWERTY & QWERTZ), Czech (QWERTY),
+ Bulgarian (BDS & Phonetic), Catalan, Croatian (QWERTY & QWERTZ), Czech (QWERTY), Dzongkha,
  English (Dvorak), Esperanto (QWERTY), German (QWERTY & Neo2), Georgian (QWERTY),
  Hebrew (Basic & Phonetic), Hungarian (QWERTY & QWERTZ), Icelandic, Khmer, Latvian,
  Macedonian, Persian, Punjabi, Russian (Phonetic), Serbian (Cyrillic & Latin),

## ukeyboard 2.5-1

=== Makefile ===
--- 
+++ 
@@ -34,12 +34,14 @@
 	install -d $(DESTDIR)/usr/share/X11/xkb/types
 	install -m 0644 xkb/types/ukeyboard $(DESTDIR)/usr/share/X11/xkb/types/
 	$(MAKE) -C ukbdcreator DESTDIR=$(DESTDIR) install
+	$(MAKE) -C po DESTDIR=$(DESTDIR) install
 
 clean:
 	$(MAKE) -C cpanel clean
 	$(MAKE) -C keyboards clean
 	$(MAKE) -C keyboards-scv clean
 	$(MAKE) -C ukbdcreator clean
+	$(MAKE) -C po clean
 	rm -f vkb_compiler *.o core
 	rm -rf build

=== keyboards-scv/Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	  he.vkb he_phonetic.vkb \
 	  mk.vkb \
 	  lv.vkb \
+	  ro.vkb \
 	  ru_phonetic.vkb \
 	  sk.vkb sk_qwerty.vkb \
 	  sr_cyrillic.vkb \

=== monitor/Makefile ===
all: libukeyboard-monitor.so

libukeyboard-monitor.so:	monitor.c
	$(CC) -shared -Wall `pkg-config --cflags libhildondesktop-1` `pkg-config --libs libhildondesktop-1` -o $@ $<

smlibdir = $(DESTDIR)`pkg-config libhildondesktop-1 --variable=hildondesktoplibdir`
smdeskdir = $(DESTDIR)`pkg-config libhildondesktop-1 --variable=hildonstatusmenudesktopentrydir`

install:	libukeyboard-monitor.so
	install -d $(smlibdir) $(smdeskdir)
	install libukeyboard-monitor.so $(smlibdir)
	install -m 644 ukeyboard-monitor.desktop $(smdeskdir)

clean:
	 rm -f *.o libukeyboard-monitor.so core

=== po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-linguas = ca fi sk
+linguas = ca fi it sk
 
 all: po

=== debian/changelog ===
ukeyboard (2.5-1) unstable; urgency=low

  * Added Nepali on-screen keyboard layout requested by Krishna Shrestha.
  * Added Spanish Dvorak on-screen keyboard layout requested
    by Joaquin Alberto Rincon-Ramirez.
  * Added Italian translation by Emanuele Cassioli.
  * Added Uyghur on-screen by Ekrem Tomur (Bug 11779: Uyghur keyboard layout
    for ukeyboard).
  * Added Romanian on-screen and HW keyboard layouts by Mihai Capotă
    (Bug 11507: Support for Romanian keyboards).
  * Fixed bug 11535: Ctrl not working in X-terminal when Ukrainian is selected.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Wed, 26 Jan 2011 15:01:20 +0100

=== debian/control ===
--- 
+++ 
@@ -29,12 +29,12 @@
  Bulgarian (BDS & Phonetic), Catalan, Croatian (QWERTY & QWERTZ), Czech (QWERTY), Dzongkha,
  English (Dvorak), Esperanto (QWERTY), German (QWERTY & Neo2), Georgian (QWERTY),
  Hebrew (Basic & Phonetic), Hungarian (QWERTY & QWERTZ), Icelandic, Khmer, Latvian,
- Macedonian, Persian, Punjabi, Russian (Phonetic), Serbian (Cyrillic & Latin),
- Slovak (QWERTY & QWERTZ), Slovenian (QWERTY & QWERTZ), Thai, Turkish and Vietnamese,
- Ukrainian (Basic & Phonetic) on-screen keyboard layouts and Arabic, Bulgarian (Phonetic),
- Czech (QWERTY), Dvorak, Greek, Georgian, Hebrew (Basic & Phonetic), Latvian, Macedonian,
- Persian, Russian (Phonetic) and Slovak (QWERTY & QWERTZ), Ukrainian (Basic & Phonetic)
- hardware keyboard layouts.
+ Macedonian, Nepali, Persian, Punjabi, Romanian, Russian (Phonetic), Serbian (Cyrillic & Latin),
+ Slovak (QWERTY & QWERTZ), Slovenian (QWERTY & QWERTZ), Spanish (Dvorak), Thai, Turkish,
+ Ukrainian (Basic & Phonetic), Uyghur and Vietnamese on-screen keyboard layouts and Arabic,
+ Bulgarian (Phonetic), Czech (QWERTY), Dvorak, Greek, Georgian, Hebrew (Basic & Phonetic),
+ Latvian, Macedonian, Persian, Romanian, Russian (Phonetic) and Slovak (QWERTY & QWERTZ),
+ Ukrainian (Basic & Phonetic) hardware keyboard layouts.
 
 Package: ukbdcreator
 Architecture: any

## ukeyboard 2.5-2

=== keyboards-scv/Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	  ru_phonetic.vkb \
 	  sk.vkb sk_qwerty.vkb \
 	  sr_cyrillic.vkb \
+	  th.vkb \
 	  ua.vkb
 
 all: $(layouts)

=== keyboards/Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	dz.vkb \
 	en-dvorak.vkb \
 	eo-qwerty.vkb \
+	es-dvorak.vkb es-qwerty.vkb \
 	fa-isiri9147.vkb \
 	he-phonetic.vkb he-qwerty.vkb \
 	hr-qwerty.vkb hr-qwertz.vkb \
@@ -19,13 +20,16 @@
 	km.vkb \
 	lv-qwerty.vkb \
 	mk.vkb \
+	ne.vkb \
 	pa-jhelum.vkb \
+	ro.vkb \
 	ru-phonetic.vkb ru-windows.vkb \
 	sk-qwerty.vkb sk-qwertz.vkb \
 	sl-qwerty.vkb sl-qwertz.vkb \
 	sr-cyrillic.vkb sr-latin-qwertz.vkb \
 	th-kedmanee.vkb \
 	tr-qwerty.vkb \
+	ug.vkb \
 	uk-phonetic.vkb uk-windows.vkb \
 	vi-qwerty.vkb

=== po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-linguas = ca fi it sk
+linguas = ca fi it sk uk_UA
 
 all: po

=== debian/changelog ===
ukeyboard (2.5-2) unstable; urgency=low

  * Added Ukrainian translation by Yevhen Amelin.
  * Optimalizations of Nepali layout by Joseph sth.
  * Added Thai Kedmanee HW keyboard layout by Thanawit Lertruengpanya.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Tue,  1 Mar 2011 13:18:39 +0100

=== debian/control ===
--- 
+++ 
@@ -33,8 +33,8 @@
  Slovak (QWERTY & QWERTZ), Slovenian (QWERTY & QWERTZ), Spanish (Dvorak), Thai, Turkish,
  Ukrainian (Basic & Phonetic), Uyghur and Vietnamese on-screen keyboard layouts and Arabic,
  Bulgarian (Phonetic), Czech (QWERTY), Dvorak, Greek, Georgian, Hebrew (Basic & Phonetic),
- Latvian, Macedonian, Persian, Romanian, Russian (Phonetic) and Slovak (QWERTY & QWERTZ),
- Ukrainian (Basic & Phonetic) hardware keyboard layouts.
+ Latvian, Macedonian, Persian, Romanian, Russian (Phonetic), Slovak (QWERTY & QWERTZ),
+ Ukrainian (Basic & Phonetic) and Thai hardware keyboard layouts.
 
 Package: ukbdcreator
 Architecture: any
